<?php
session_start();
error_reporting(E_ALL);
ini_set('display_errors', 1);

// check login 
if (!isset($_SESSION['user_id'])) {
    header("Location: index.php");
    exit();
}

require_once 'database.php'; 
require_once 'function.php';

if (isset($_GET['id'])) {
    $notification_id = $_GET['id'];

    // Update notification status to approved
    $stmt = $pdo->prepare("UPDATE admin_notifications SET status = 'approved' WHERE id = ?");
    $stmt->execute([$notification_id]);

    // Update the customer status to approved in the draft_customers table
    $stmt = $pdo->prepare("UPDATE draft_customers SET status = 'approved' WHERE id = (SELECT customer_id FROM admin_notifications WHERE id = ?)");
    $stmt->execute([$notification_id]);

    // Insert the customer data into the customers table
    $stmt = $pdo->prepare("INSERT INTO customers (name, legal_entity_type, industry, country, city, address, registration_date, email, website_url, created_by) 
                           SELECT name, legal_entity_type, industry, country, city, address, registration_date, email, website_url, created_by
                           FROM draft_customers WHERE id = ?");
    $stmt->execute([$notification_id]);

    // Delete the customer from the draft_customers table after insertion into customers
    $stmt = $pdo->prepare("DELETE FROM draft_customers WHERE id = ?");
    $stmt->execute([$notification_id]);

    $_SESSION['message'] = "Customer has been approved!";
    $_SESSION['message_type'] = "success";
    header('Location: customers_notifications.php');
    exit();
}
