<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سیستم تیکت</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body { direction: rtl; }
        .chat-box {
            height: 400px;
            overflow-y: auto;
            border: 1px solid #ccc;
            padding: 10px;
            background: #f8f9fa;
        }
    </style>
</head>
<body>
    <div class="container mt-5">
        <!-- صفحه لیست تیکت‌ها -->
        <div id="ticketListPage">
            <h2 class="mb-3">لیست تیکت‌ها</h2>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>شناسه</th>
                        <th>موضوع</th>
                        <th>وضعیت</th>
                        <th>تاریخ ایجاد</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>1234</td>
                        <td>مشکل در ورود</td>
                        <td>باز</td>
                        <td>1402/12/25</td>
                    </tr>
                </tbody>
            </table>
            <button class="btn btn-primary" onclick="showChatPage()">افزودن تیکت</button>
        </div>

        <!-- صفحه چت -->
        <div id="chatPage" class="d-none">
            <h2 class="mb-3">پشتیبانی</h2>
            <div class="chat-box mb-3" id="chatBox">
                <p><strong>پشتیبانی:</strong> سلام! چطور می‌توانم کمکتان کنم؟</p>
            </div>
            <div class="input-group">
                <input type="text" id="messageInput" class="form-control" placeholder="پیام خود را وارد کنید...">
                <button class="btn btn-success" onclick="sendMessage()" name="btn-success">ارسال</button>
            </div>
        </div>
    </div>

    <script>
        function showChatPage() {
            document.getElementById('ticketListPage').classList.add('d-none');
            document.getElementById('chatPage').classList.remove('d-none');
        }

        function sendMessage() {
            let message = document.getElementById('messageInput').value;
            if (message.trim() !== '') {
                let chatBox = document.getElementById('chatBox');
                let newMessage = document.createElement('p');
                newMessage.innerHTML = `<strong>شما:</strong> ${message}`;
                chatBox.appendChild(newMessage);
                document.getElementById('messageInput').value = '';
                chatBox.scrollTop = chatBox.scrollHeight;
            }
        }
    </script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>

$(document).ready(function() {
    // دریافت لیست تیکت‌ها
    function loadTickets() {
        $.get("ticket_api.php?action=get_tickets", function(data) {
            let ticketTable = $("tbody");
            ticketTable.html("");
            data.forEach(ticket => {
                ticketTable.append(`
                    <tr onclick="loadMessages(${ticket.id})">
                        <td>${ticket.id}</td>
                        <td>${ticket.subject}</td>
                        <td>${ticket.status}</td>
                        <td>${ticket.created_at}</td>
                    </tr>
                `);
            });
        });
    }

    // ایجاد تیکت جدید
    $(".btn-primary").click(function() {
        let subject = prompt("موضوع تیکت را وارد کنید:");
        if (subject) {
            $.post("ticket_api.php?action=create_ticket", { subject: subject }, function(response) {
                if (response.success) {
                    alert("تیکت با موفقیت ثبت شد!");
                    loadTickets();
                } else {
                    alert("خطا در ایجاد تیکت!");
                }
            }, "json");
        }
    });

    // دریافت پیام‌های تیکت
    window.loadMessages = function(ticketId) {
        $("#ticketListPage").addClass("d-none");
        $("#chatPage").removeClass("d-none");

        $.get("ticket_api.php?action=get_messages&ticket_id=" + ticketId, function(messages) {
            let chatBox = $("#chatBox");
            chatBox.html("");
            messages.forEach(msg => {
                chatBox.append(`<p><strong>${msg.sender}:</strong> ${msg.message}</p>`);
            });
        });
    };

    // ارسال پیام جدید
    $(".btn-success").click(function() {
        let message = $("#messageInput").val();
        if (message.trim() !== "") {
            $.post("ticket_api.php?action=send_message", {
                ticket_id: 1, // باید مقدار واقعی باشد
                message: message
            }, function(response) {
                if (response.success) {
                    $("#chatBox").append(`<p><strong>شما:</strong> ${message}</p>`);
                    $("#messageInput").val("");
                } else {
                    alert("خطا در ارسال پیام!");
                }
            }, "json");
        }
    });

    // بارگذاری اولیه تیکت‌ها
    loadTickets();
});
</script>

</body>
</html>
