<?php
session_start();
require_once 'database.php';  // فایل اتصال به دیتابیس

// دریافت ticket_id از URL
$ticket_id = $_GET['ticket_id'] ?? 0;

if ($ticket_id) {
    // دریافت جزئیات تیکت از دیتابیس
    $stmt = $pdo->prepare("SELECT * FROM tickets WHERE ticket_id = ?");
    $stmt->execute([$ticket_id]);
    $ticket = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($ticket) {
        // نمایش جزئیات تیکت
        echo "<h1>جزئیات تیکت</h1>";
        echo "<p><strong>موضوع:</strong> " . htmlspecialchars($ticket['subject']) . "</p>";
        echo "<p><strong>تاریخ ایجاد:</strong> " . $ticket['created_at'] . "</p>";
    } else {
        echo "تیکت با این شناسه پیدا نشد.";
    }
} else {
    echo "شناسه تیکت مشخص نشده است.";
}
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>جزئیات تیکت</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <h1>جزئیات تیکت</h1>

    <p><strong>موضوع:</strong> <?php echo htmlspecialchars($ticket['subject']); ?></p>
    <p><strong>تاریخ ایجاد:</strong> <?php echo $ticket['created_at']; ?></p>

    <h2>پیام‌ها</h2>
    <div id="messages">
        <?php foreach ($messages as $message): ?>
            <div class="message">
                <strong><?php echo htmlspecialchars($message['sender']); ?>:</strong>
                <p><?php echo htmlspecialchars($message['message']); ?></p>
                <p><small><?php echo $message['created_at']; ?></small></p>
            </div>
        <?php endforeach; ?>
    </div>

    <h3>ارسال پیام جدید</h3>
    <form action="send_message.php" method="POST">
        <input type="hidden" name="ticket_id" value="<?php echo $ticket_id; ?>">
        <textarea name="message" required></textarea>
        <button type="submit">ارسال پیام</button>
    </form>

    <a href="list_tickets.php">بازگشت به لیست تیکت‌ها</a>
</body>
</html>
