<?php
session_start();
require_once 'database.php'; // اتصال به دیتابیس

// چک کردن اینکه داده‌ها ارسال شده‌اند
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // دریافت داده‌ها از فرم
    $name = $_POST['name'] ?? '';
    $unit = $_POST['unit'] ?? '';
    $min_stock_level = $_POST['min_stock_level'] ?? 0;
    $stock = $_POST['stock'] ?? 0; // اضافه کردن فیلد stock

    // بررسی اینکه داده‌ها خالی نباشند
    if (!empty($name) && !empty($unit) && is_numeric($min_stock_level) && is_numeric($stock)) {
        try {
            // وارد کردن داده‌ها به دیتابیس
            $query = "INSERT INTO raw_materials (name, unit, min_stock_level, stock) VALUES (:name, :unit, :min_stock_level, :stock)";
            $stmt = $pdo->prepare($query);
            $stmt->bindParam(':name', $name);
            $stmt->bindParam(':unit', $unit);
            $stmt->bindParam(':min_stock_level', $min_stock_level);
            $stmt->bindParam(':stock', $stock); // اضافه کردن stock
            
            // اجرای کوئری
            if ($stmt->execute()) {
                    // اگر موفق بود، وضعیت success برگردونیم
                    $_SESSION['message']= "Raw Material Added Successfuly.";
                    $_SESSION['message_type']= "success";
                    header('Location: add_materials.php'); // بازگشت به صفحه ثبت مشتری
                    exit();
            } else {
                // اگر موفق بود، وضعیت success برگردونیم
                    $_SESSION['message']= "success";
                    header('Location: add_materials.php'); // بازگشت به صفحه ثبت مشتری
                    exit();
                // در صورت بروز خطا
                
            }
        } catch (PDOException $e) {
            // اگر موفق بود، وضعیت success برگردونیم
                    $_SESSION['message']= "";
                    header('Location: add_materials.php'); // بازگشت به صفحه ثبت مشتری
                    exit();
            // در صورت بروز خطای پایگاه داده
            
        }
    } else {
        // اگر داده‌ها اشتباه بودند
        
    }
}
?>
