<?php
    session_start();
    error_reporting(E_ALL);
    ini_set('display_errors', 1);

    //check login 
    if (!isset($_SESSION['user_id'])) 
    {
        header("Location: ../index.php");
        exit();
    }

    require_once '../php/database.php'; 
    require_once '../php/function.php';
    
    $user = new User($pdo, $_SESSION['user_id']); 
    $permissions = $user->get_permissions();
    
    
    //get the language from url 
    if (isset($_GET['lang'])) {
        $_SESSION['lang'] = $_GET['lang'];
    }
    
    //englsh is the defult language
    $lang = $_SESSION['lang'] ?? 'en'; 
    
    //get language from session
    $lang = $_SESSION['lang'] ?? 'en'; // دریافت زبان از سشن

if (is_array($permissions) && !empty($permissions)) 
    {
        $user_name = $_SESSION['username'] ?? "User";
        $user_role = $user->get_role();
        $user_permissions = $user->get_permissions();
        
        $query = $pdo->prepare("SELECT timezone FROM users WHERE user_id = :user_id");
        $query->execute(['user_id' => $_SESSION['user_id']]);
        $timezone = $query->fetchColumn();
        
        if ($timezone) 
        {
            date_default_timezone_set($timezone);
        }
        
        $hour = date('H');
        $greeting = ($hour < 12) ? "Good morning" : (($hour < 18) ? "Good afternoon." : "Good evening.");

        $total_customers = 15;
        $total_orders = 8;
        $last_customer = "Ali from Tehran";
        $last_order = "#10345";
        $quotes = ["Success is not the key to happiness. Happiness is the key to success. – Albert Schweitzer",
            "The only way to do great work is to love what you do. – Steve Jobs",
            "Don't watch the clock; do what it does. Keep going. – Sam Levenson"
        ];
        $quote = $quotes[array_rand($quotes)];
        $dashboard = new Dashboard($user); 
    } 
    else
    {
        header("Location: ../index.php");
        exit();
    }

?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?=translate('dashboard', $lang);?></title>
    <link rel="stylesheet" href="../assets/css/animate.min.css"/>
    <link rel="stylesheet" href="../assets/css/all.min.css"/>
    <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../assets/css/style.css?v=1.1" />
</head>
<body>
    <div class="d-flex">
        <?php include("../admin/side_bar.php"); ?>
        <div class="container mt-5 animate__animated animate__fadeIn">
            <div class="card shadow-lg p-4">
                <h2 class="text-center mb-4" style="font-weight:bold;color:#7a5fff"><?=translate('Add Ticket', $lang);?></h2>
                <form action="../php/process.php" method="POST">
                    <div class="mb-3">
                        <label for="subject" class="form-label"><?=translate('Subject :', $lang);?></label>
                        <input type="text" class="form-control" name="subject" id="subject" required>
                    </div>
                    <div class="mb-3">
                        <label for="subject" class="form-label"><?=translate('Message :', $lang);?></label>
                        <textarea class="form-control" rows="4" name="ticket_text" id="subject" required></textarea>

                    </div>
                    <div class="d-grid gap-2">
                        <button type="submit" name="add_ticket" class="btn login-btn "><?=translate('Send', $lang);?></button>
                        
                    </div>
                </form>
            </div>
        </div>
    </div>
    
</body>
</html>
