<?php
session_start();
    error_reporting(E_ALL);
    ini_set('display_errors', 1);

//check login 
    if (!isset($_SESSION['user_id'])) 
    {
        header("Location: ../index.php");
        exit();
    }

    require_once '../php/database.php'; 
    require_once '../php/function.php';
    
      $user = new User($pdo, $_SESSION['user_id']); 
      //get the language from url 
    if (isset($_GET['lang'])) {
        $_SESSION['lang'] = $_GET['lang'];
    }
    
    //englsh is the defult language
    $lang = $_SESSION['lang'] ?? 'en'; 
    $permissions = $user->get_permissions();
 if (is_array($permissions) && !empty($permissions)) 
    {
        $user_name = $_SESSION['username'] ?? "User";
        $user_role = $user->get_role();
        $user_permissions = $user->get_permissions();
        
        $query = $pdo->prepare("SELECT timezone FROM users WHERE user_id = :user_id");
        $query->execute(['user_id' => $_SESSION['user_id']]);
        $timezone = $query->fetchColumn();
        
        if ($timezone) 
        {
            date_default_timezone_set($timezone);
        }
        
        $hour = date('H');
        $greeting = ($hour < 12) ? "Good morning" : (($hour < 18) ? "Good afternoon." : "Good evening.");

        $total_customers = 15;
        $total_orders = 8;
        $last_customer = "Ali from Tehran";
        $last_order = "#10345";
        $quotes = ["Success is not the key to happiness. Happiness is the key to success. – Albert Schweitzer",
            "The only way to do great work is to love what you do. – Steve Jobs",
            "Don't watch the clock; do what it does. Keep going. – Sam Levenson"
        ];
        $quote = $quotes[array_rand($quotes)];
        $dashboard = new Dashboard($user); 
    } 
    else
    {
        header("Location: ../index.php");
        exit();
    }
$stmt = $pdo->prepare("SELECT id, subject, status, created_at FROM tickets WHERE user_id = ? ORDER BY created_at DESC");
$stmt->execute([$_SESSION['user_id']]);
$tickets = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="icon" href="../assets/images/logo/Mainsen_ Final_logo .png" type="image/png">
        <title><?=translate('dashboard', $lang);?></title>
        <link rel="stylesheet" href="../assets/css/animate.min.css"/>
        <link rel="stylesheet" href="../assets/css/all.min.css"/>
        <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
        <link rel="stylesheet" href="../assets/css/style.css?v=1.1" />
        <style>
            h2 {
        font-size: 1.8rem;
        font-weight: bold;
        color: #333;
    }

    .table th, .table td {
        text-align: center;
        vertical-align: middle;
    }
    .btn-primary {
        background-color: #50216f;
        border: 1px solid #50216f;
    }

    .btn-primary:hover {
        background-color: #af8ec6;
        border-color: #af8ec6;
    }

        </style>
</head>
<body class="bg-light">
    <div class="d-flex">
        <?php include("../admin/side_bar.php"); ?>
        <div class="container animate__animated animate__fadeIn">
           
        <h2 class="mb-5 mt-5 text-center" style="font-weight:bold;color:#7a5fff"><?=translate('tickets list', $lang);?></h2>


        <table class="table table-bordered table-hover">
    <thead class="table-light">
        <tr>
            <th style="font-weight:bold;color:#50216f"><?= translate('Subject', $lang); ?></th>
            <th style="font-weight:bold;color:#50216f"><?= translate('Date', $lang); ?></th>
            <th style="font-weight:bold;color:#50216f"><?= translate('Status', $lang); ?></th> <!-- 👈 ستون جدید -->
            <th style="font-weight:bold;color:#50216f"><?= translate('Actions', $lang); ?></th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($tickets as $ticket): ?>
            <tr>
                <td><?= htmlspecialchars($ticket['subject']); ?></td>
                <td><?= $ticket['created_at']; ?></td>
                <td>
                    <?php
                        switch ($ticket['status']) {
                            case 'open':
                                echo '<span class="badge bg-success">باز</span>';
                                break;
                            case 'in_progress':
                                echo '<span class="badge bg-warning text-dark">در حال بررسی</span>';
                                break;
                            case 'closed':
                                echo '<span class="badge bg-danger">بسته شده</span>';
                                break;
                            default:
                                echo '<span class="badge bg-secondary">نامشخص</span>';
                        }
                    ?>
                </td>
                <td>
                    <a href="view_ticket.php?ticket_id=<?= $ticket['id']; ?>" class="btn btn-primary btn-sm">مشاهده جزئیات</a>
                </td>
            </tr>
        <?php endforeach; ?>
    </tbody>
</table>

    </div>
        
   
    

    <!-- لینک به فایل JS بوت استرپ -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-pzjw8f+ua7Kw1TIq0r2zP5O8W9fcW9FqM5QJl5o7/J0vnQ3s7qVq04Wb+9wDgM2f" crossorigin="anonymous"></script>
</body>
</html>

