<?php
header('Content-Type: application/json');
require_once 'database.php'; // اتصال به دیتابیس
error_reporting(E_ALL);
ini_set('display_errors', 1);
if (!$pdo) {
    echo json_encode(['status' => 'error', 'message' => 'Database connection failed!']);
    exit;
}
$entryAmount = (int) ($_POST['entryAmount'] ?? 0);
$materialName = $_POST['materialName'] ?? '';

if (!$materialName || $entryAmount <= 0) {
    echo json_encode(['status' => 'error', 'message' => 'Invalid data!']);
    exit();
}
var_dump($_POST);
exit; // برای جلوگیری از ادامه پردازش 

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $materialName = $_POST['materialName'] ?? null;
    $entryAmount = $_POST['entryAmount'] ?? null;

    if (!$materialName || !$entryAmount || $entryAmount <= 0) {
        echo json_encode(['status' => 'error', 'message' => 'Invalid data!']);
        exit();
    }

    $stmt = $pdo->prepare("UPDATE materials SET stock = stock + :amount WHERE name = :name");
if (!$stmt->execute(['amount' => $entryAmount, 'name' => $materialName])) {
    echo json_encode(['status' => 'error', 'message' => 'Database query failed!']);
    exit();
}

    if ($stmt->rowCount()) {
        echo json_encode(['status' => 'success', 'message' => 'Stock updated successfully!']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Failed to update stock!']);
    }
}
?>
