<?php
session_start();
require_once 'database.php';  // فایل اتصال به دیتابیس

// دریافت تیکت‌های مربوط به کاربر
$user_id = $_SESSION['user_id'] ?? 0;
if (!$user_id) {
    echo "لطفا وارد حساب کاربری خود شوید.";
    exit;
}

$stmt = $pdo->prepare("SELECT * FROM tickets WHERE user_id = ? ORDER BY created_at DESC");
$stmt->execute([$user_id]);
$tickets = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>لیست تیکت‌ها</title>
    <!-- لینک به فایل CSS بوت استرپ -->
    <link href="assets/css/bootstrap.min.css" rel="stylesheet">
    <!-- لینک به استایل‌های سفارشی -->
    <link rel="stylesheet" href="styles.css">
</head>
<body class="bg-light">

    <div class="container my-4">
        <h1 class="text-center mb-4">لیست تیکت‌ها</h1>

        <div class="text-end mb-3">
            <a href="create_ticket.php" class="btn btn-primary">ایجاد تیکت جدید</a>
        </div>

        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>موضوع</th>
                    <th>تاریخ ایجاد</th>
                    <th>عملیات</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($tickets as $ticket): ?>
                    <tr>
                        <td><?php echo htmlspecialchars($ticket['subject']); ?></td>
                        <td><?php echo $ticket['created_at']; ?></td>
                        <td>
                            <a href="view_ticket.php?ticket_id=<?php echo $ticket['id']; ?>" class="btn btn-info btn-sm">مشاهده جزئیات</a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>

    <!-- لینک به فایل JS بوت استرپ -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-pzjw8f+ua7Kw1TIq0r2zP5O8W9fcW9FqM5QJl5o7/J0vnQ3s7qVq04Wb+9wDgM2f" crossorigin="anonymous"></script>
</body>
</html>

