<?php
session_start();
error_reporting(E_ALL);
ini_set('display_errors', 1);

// بررسی لاگین
if (!isset($_SESSION['user_id'])) {
   header("Location: index.php");
    exit();
}

require_once 'database.php'; // اتصال به دیتابیس
require_once 'function.php'; // کلاس User

// ایجاد شیء User و دریافت دسترسی‌ها
$user = new User($pdo, $_SESSION['user_id']); // استفاده از $pdo به جای $conn
$permissions = $user->get_permissions();

// چک کردن اینکه آیا $permissions مقداردهی شده است
if (is_array($permissions) && !empty($permissions)) {
    // اکنون می‌توانید از $permissions استفاده کنید
    $user_name = $_SESSION['username'] ?? "User";
    $user_role = $user->get_role(); // دریافت نقش کاربر
    $user_permissions = $user->get_permissions(); // دریافت دسترسی‌ها

    // ایجاد شیء Dashboard و نمایش آن
    $dashboard = new Dashboard($user); // ایجاد شیء Dashboard با استفاده از شیء User
    
} else {
    echo "No permissions assigned to the user.";
    exit(); // اگر دسترسی‌ها یافت نشد، دیگر به داشبورد ادامه نمی‌دهیم
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard</title>
    
    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"/>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="assets/css/style.css" />
    <style>
        /* استایل برای پیغام‌های موفقیت */
    .success {
        color: green;
        background-color: #d4edda;
        padding: 10px;
        border: 1px solid #c3e6cb;
        border-radius: 5px;
        margin-bottom: 15px;
    }
    
    /* استایل برای پیغام‌های خطا */
    .error {
        color: red;
        background-color: #f8d7da;
        padding: 10px;
        border: 1px solid #f5c6cb;
        border-radius: 5px;
        margin-bottom: 15px;
    }
    </style>
</head>
<body>

<!-- Sidebar -->
<div class="d-flex">
    <?php include("side_bar.php"); ?>
    <div class="container animate__animated animate__fadeIn " style="margin-top:10em;">
        <div class="row">
            <div class="col-md-12">
                <?php if (!empty($successMessage)): ?>
                    <script type="text/javascript">
                        alert("<?php echo $successMessage; ?>");
                    </script>
                <?php endif; 
                // اگر پیامی در session وجود دارد
if (isset($_SESSION['message'])) {
    // نمایش پیام
    echo "<div id='message' class='{$_SESSION['message_type']}'>" . $_SESSION['message'] . "</div>";

    // پاک کردن پیام بعد از نمایش
    unset($_SESSION['message']);
    unset($_SESSION['message_type']);
}?>
                <div class="aside-form rounded">
                    <h4 class="text-center mt-3" style="font-weight:bold;color:#7a5fff">Register New Raw Material</h4>
                    <form  action="addMaterial.php" method="POST" class="mt-5" id="addMaterialForm">
                        <div class="mb-3 mt-3">
                            <label for="name" class="form-label">Raw Material Name</label>
                            <input type="text" id="material_name" name="name" class="form-control" required>
                        </div>
                        <div class="mb-3">
                            <label class="form-label">Unit of Measurement</label>
                            <input type="text" id="unit" name="unit" class="form-control" required>
                        </div>
                        <div class="mb-3">
                            <label class="form-label">Minimum Stock Level Before Alert</label>
                            <input type="number" name="min_stock_level" id="min_stock_level" class="form-control" required>
                        </div>
                        <div class="mb-3">
                            <label class="form-label">Initial Stock Quantity</label>
                            <input type="number" name="stock" id="stock" class="form-control" required>
                        </div>
                        <button value="1" type="submit" class="btn login-btn mt-5">Add Raw Material</button>
                    </form>
                    </div>
                
            </div>
        </div>

<script>
$(document).ready(function() {
    $('#addMaterialForm').submit(function(e) {
        e.preventDefault();

        let material_name = $('#material_name').val();
        let unit = $('#unit').val();
        let min_stock_level = $('#min_stock_level').val();
        let stock = $('#stock').val();

        // چاپ داده‌ها برای بررسی در کنسول
        console.log("Material Name: ", material_name);
        console.log("Unit: ", unit);
        console.log("Minimum Stock Level: ", min_stock_level);
        console.log("Stock: ", stock);

        let formData = {
            name: material_name,
            unit: unit,
            min_stock_level: min_stock_level,
            stock: stock
        };

        $.post('addMaterial.php', formData, function(response) {
            let res = JSON.parse(response);
            if (res.status === "success") {
                alert("ماده اولیه با موفقیت اضافه شد!");
                location.reload(); // صفحه رو دوباره بارگذاری می‌کنیم
            } else {
                alert("خطا در ثبت! " + res.message);
            }
        });
    });
});

// بررسی وجود پیام در صفحه
    window.onload = function() {
        var messageElement = document.getElementById('message');
        
        // اگر پیغام وجود داشته باشد، بعد از 5 ثانیه آن را مخفی می‌کنیم
        if (messageElement) {
            setTimeout(function() {
                messageElement.style.display = 'none';
            }, 5000); // بعد از 5000 میلی‌ثانیه (5 ثانیه)
        }
    }

</script>


        
    
</div>
    <!-- Main content -->
    
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>